org.apache.ignite.internal.processors.cache.persistence.defragmentation

## Class DefragmentationPageReadWriteManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.PageReadWriteManagerImpl
  - - org.apache.ignite.internal.processors.cache.persistence.defragmentation.DefragmentationPageReadWriteManager

All Implemented Interfaces:
  PageReadWriteManager

    public class DefragmentationPageReadWriteManager
    extends PageReadWriteManagerImpl

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.pagemem.PageReadWriteManagerImpl

`pageStores`

### Constructor Summary

Constructors
Constructor and Description
`DefragmentationPageReadWriteManager(GridKernalContext ctx, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.ignite.internal.processors.cache.persistence.defragmentation.PageStoreMap` `pageStoreMap()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.pagemem.PageReadWriteManagerImpl

`allocatePage, read, toString, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefragmentationPageReadWriteManager

    public DefragmentationPageReadWriteManager(GridKernalContext ctx,
                                               String name)

Parameters:
  `ctx` - Kernal context.
  `name` - name.

### Method Detail

#### pageStoreMap

    public org.apache.ignite.internal.processors.cache.persistence.defragmentation.PageStoreMap pageStoreMap()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021